Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1565066 - Runtime Error ownerId is null at org.candlepin.model.OwnerCurator.findOwnerById:69 while creating owner
Summary: Runtime Error ownerId is null at org.candlepin.model.OwnerCurator.findOwnerBy...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: candlepin-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 10:06 UTC by Shwetha Kallesh
Modified: 2019-07-31 12:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-31 12:25:40 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1563003 0 unspecified CLOSED Service level "Merry Maid Service" is not available to units of organization null. 2021-02-22 00:41:40 UTC

Internal Links: 1563003

Description Shwetha Kallesh 2018-04-09 10:06:21 UTC
Description of problem:
Runtime Error ownerId is null at org.candlepin.model.OwnerCurator.findOwnerById:69 while creating owner

Version-Release number of selected component (if applicable):

subscription management server: 2.3.4-1


How reproducible:


Steps to Reproduce:
[root@localhost ~]# curl --stderr /dev/null --insecure --user admin:admin --request POST --data '{"displayName":"Mrs. Jones","defaultServiceLevel":"TLC (Tender Loving Care)","key":"mother"}' --header 'accept: application/json' --header 'ontent-type: application/json' https://shwetha-candlepin.usersys.redhat.com:8443/candlepin/owners
{
  "displayMessage" : "Runtime Error ownerId is null at org.candlepin.model.OwnerCurator.findOwnerById:69",
  "requestUuid" : "b39ab0da-eb93-4395-85da-ad9ffaa6c6c3"


Actual results:
"Runtime Error ownerId is null at org.candlepin.model.OwnerCurator.findOwnerById:69"

Expected results:
Owner should be created successfully

Additional info:

Comment 3 Shwetha Kallesh 2019-07-31 11:55:57 UTC
According to https://bugzilla.redhat.com/show_bug.cgi?id=1563003#c1 user cannot specify "default service level" while creating an org/owner , so the error output here is the fix 

[root@kvm-07-guest03 ~]# curl --stderr /dev/null --insecure --user admin:admin --request POST --data '{"displayName":"Mrs. Jones","defaultServiceLevel":"TLC (Tender Loving Care)","key":"mother"}' --header 'accept: application/json' --header 'content-type: application/json' https://shwetha-workstation.usersys.redhat.com:8443/candlepin/owners
{
  "displayMessage" : "The default service level cannot be specified during owner creation",
  "requestUuid" : "be195a03-baef-4df7-bdc1-e6f88c9bf150"

Comment 4 Shwetha Kallesh 2019-07-31 12:25:40 UTC
Based on the verification in c3 closing the bug as WORKSFORME

Comment 5 Shwetha Kallesh 2019-07-31 12:26:39 UTC
Based on the verification in c3 closing the bug as WORKSFORME


Note You need to log in before you can comment on or make changes to this bug.